# $Revision: 1.25 $, $Date: 2008/07/27 22:21:49 $
Summary:	Ksubeditor - a DivX subtitle editor for KDE 3.x
Summary(pl.UTF-8):	Ksubeditor - edytor napisów dla KDE 3.x
Name:		ksubeditor
Version:	0.2
Epoch:		2
Release:	6
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/ksubeditor/%{name}-%{version}.tar.gz
# Source0-md5:	ddfb1c2ad888127835df09e5479b438d
Patch0:		%{name}-desktop.patch
URL:		http://www.sourceforge.net/projects/ksubeditor/
BuildRequires:	automake
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ksubeditor is a DivX subtitle editor for KDE 3.x. It is able to edit
and convert subtitles between different subtitle formats. It is able
to easily change the time of the subtitle and fit it to the movie.

%description -l pl.UTF-8
Ksubeditor jest edytorem napisów dla KDE 3.x. Jest w stanie
modyfikować oraz konwertować napisy pomiędzy różnymi formatami. Może w
prosty sposób zmieniać czas napisów oraz dopasować je do filmu.

%prep
%setup -q
%patch0 -p1

%build
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
cp -f /usr/share/automake/config.sub admin
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT 

install -d $RPM_BUILD_ROOT%{_desktopdir} 

mv -f $RPM_BUILD_ROOT%{_iconsdir}/{lo,hi}color
mv -f $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/ksubeditor.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}

#%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

#%files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/ksubeditor
%{_iconsdir}/hicolor/*/apps/*.png
%{_desktopdir}/ksubeditor.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksubeditor.spec,v $
Revision 1.25  2008/07/27 22:21:49  arekm
- release 6

Revision 1.24  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.22  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.21  2006/04/19 20:04:43  ankry
- rel. 5

Revision 1.20  2005/03/24 20:57:13  qboosh
- fixed mv

Revision 1.19  2005/03/24 14:39:29  darekr
- killed obsoleted _applnkdir

Revision 1.18  2004/07/28 10:33:25  ankry
- epoch 2, rel. 4

Revision 1.17  2004/07/28 07:23:03  qboosh
- use _kdedocdir macro

Revision 1.16  2004/07/27 23:25:20  ankry
- config.sub for amd64, rel. 3

Revision 1.15  2004/07/27 23:08:31  ankry
- s/pixmapsdir/iconsdir/

Revision 1.14  2004/07/27 22:44:09  ankry
- desktop fixes, rel. 2

Revision 1.13  2004/05/12 18:40:03  qboosh
- unified Source URL, use proper iconsdir

Revision 1.12  2004/03/21 09:36:55  mkierus
- updated to 0.2

Revision 1.11  2004/02/04 12:59:42  qboosh
- fixed Categories (missing semicolon)

Revision 1.10  2003/12/22 20:47:18  qboosh
- release 2 (bugfix for ac)

Revision 1.9  2003/12/22 20:26:45  qboosh
- fixed dirs, cleanups

Revision 1.8  2003/12/22 18:52:59  djurban
- corrected patch1 name and applied the patches

Revision 1.7  2003/12/22 18:50:49  djurban
- this is the worse written c++ program i have ever seen
- builds and works
- rel. 1
- killed TODO - no polish translation exists

Revision 1.6  2003/05/28 12:59:23  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:49:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/05 12:16:22  qboosh
- simplified Source0 URL, removed COPYING from doc (just GPL)

Revision 1.3  2003/05/04 16:26:08  ciril
- BR: fam-devel

Revision 1.2  2003/05/04 15:49:17  misi3k
- cosmetics

Revision 1.1  2003/05/04 15:26:45  ciril
- Initial PLD release
